Subject: bug#15117: 24.3.50; doc of `(forward|backward)-*': state return value

From: Drew Adams <[email-masked]>
Date: Tue, 11 Feb 2014 10:26:18 -0800 (PST)

> > 2. I guess you want a separate bug report for fixing the other
> > functions themselves, so they return something useful.
> 
> It deserves a separate discussion, but I'm not sure their current
> non-values constitute a bug.  There's nothing wrong in returning
> nil.

It's an enhancement request - or it will be: Return a useful value
when possible, for motion functions.

> In any case, each function should be discussed separately, because
> the fact that the name starts with "forward-" says nothing about
> possible useful values it could return.

The set of candidate functions for enhancement are motion functions.
Yes, each needs to be checked in detail.  That should not mean that
a separate enhancement request is needed for each function.